Subject: bug#67687: Feature request: automatic tags management

From: Francesco Potortì <[email-masked]>
Date: Tue, 02 Jan 2024 11:41:11 +0100

>a) We won't add new files to the index, because we (apparently) can't 
>simply use the project's list of files -- there is no guarantee that it 
>matches the fileset that the original author of the TAGS file had in mind.
>
>b) There is no way to pick up the --regex options used for generating 
>the original TAGS, or any other options we don't know about. So if we 
>were to just use the logic of regenerating tags for newly changed files, 
>we would end up with a mix of tags in some files based on the set of 
>--regex used in the past, and with tags for new files based on the 
>configured set of --regex options.

Maybe the TAGS files should contain information to regenerate them?